org.apache.lucene.codecs

## Class LegacyDocValuesIterables

- java.lang.Object
- - org.apache.lucene.codecs.LegacyDocValuesIterables

-     public class LegacyDocValuesIterables
      extends Object

  Bridge helper methods for legacy codecs to map sorted doc values to iterables.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<BytesRef>` | `binaryIterable(FieldInfo field, DocValuesProducer valuesProducer, int maxDoc)` Deprecated. Consume `BinaryDocValues` instead.
    `static Iterable<Number>` | `normsIterable(FieldInfo field, NormsProducer normsProducer, int maxDoc)` Deprecated. Consume `NumericDocValues` instead.
    `static Iterable<Number>` | `numericIterable(FieldInfo field, DocValuesProducer valuesProducer, int maxDoc)` Deprecated. Consume `NumericDocValues` instead.
    `static Iterable<Number>` | `sortedNumericToDocCount(DocValuesProducer valuesProducer, FieldInfo fieldInfo, int maxDoc)` Deprecated. Consume `SortedDocValues` instead.
    `static Iterable<Number>` | `sortedNumericToValues(DocValuesProducer valuesProducer, FieldInfo fieldInfo)` Deprecated. Consume `SortedDocValues` instead.
    `static Iterable<Number>` | `sortedOrdIterable(DocValuesProducer valuesProducer, FieldInfo fieldInfo, int maxDoc)` Deprecated. Consume `SortedDocValues` instead.
    `static Iterable<Number>` | `sortedSetOrdCountIterable(DocValuesProducer valuesProducer, FieldInfo fieldInfo, int maxDoc)` Deprecated. Consume `SortedSetDocValues` instead.
    `static Iterable<Number>` | `sortedSetOrdsIterable(DocValuesProducer valuesProducer, FieldInfo fieldInfo)` Deprecated. Consume `SortedSetDocValues` instead.
    `static Iterable<BytesRef>` | `valuesIterable(SortedDocValues values)` Deprecated. Consume `SortedDocValues` instead.
    `static Iterable<BytesRef>` | `valuesIterable(SortedSetDocValues values)` Deprecated. Consume `SortedSetDocValues` instead.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### valuesIterable

          @Deprecated
          public static Iterable<BytesRef> valuesIterable(SortedDocValues values)

      Deprecated. Consume `SortedDocValues` instead.
      Converts `SortedDocValues` into an `Iterable&lt;BytesRef&gt;` for all the values.

    - #### valuesIterable

          @Deprecated
          public static Iterable<BytesRef> valuesIterable(SortedSetDocValues values)

      Deprecated. Consume `SortedSetDocValues` instead.
      Converts `SortedSetDocValues` into an `Iterable&lt;BytesRef&gt;` for all the values.

    - #### sortedOrdIterable

          @Deprecated
          public static Iterable<Number> sortedOrdIterable(DocValuesProducer valuesProducer,
                                                                       FieldInfo fieldInfo,
                                                                       int maxDoc)

      Deprecated. Consume `SortedDocValues` instead.
      Converts `SortedDocValues` into the ord for each document as an `Iterable&lt;Number&gt;`.

    - #### sortedSetOrdCountIterable

          @Deprecated
          public static Iterable<Number> sortedSetOrdCountIterable(DocValuesProducer valuesProducer,
                                                                               FieldInfo fieldInfo,
                                                                               int maxDoc)

      Deprecated. Consume `SortedSetDocValues` instead.
      Converts number-of-ords per document from `SortedSetDocValues` into `Iterable&lt;Number&gt;`.

    - #### sortedSetOrdsIterable

          @Deprecated
          public static Iterable<Number> sortedSetOrdsIterable(DocValuesProducer valuesProducer,
                                                                           FieldInfo fieldInfo)

      Deprecated. Consume `SortedSetDocValues` instead.
      Converts all concatenated ords (in docID order) from `SortedSetDocValues` into `Iterable&lt;Number&gt;`.

    - #### sortedNumericToDocCount

          @Deprecated
          public static Iterable<Number> sortedNumericToDocCount(DocValuesProducer valuesProducer,
                                                                             FieldInfo fieldInfo,
                                                                             int maxDoc)

      Deprecated. Consume `SortedDocValues` instead.
      Converts number-of-values per document from `SortedNumericDocValues` into `Iterable&lt;Number&gt;`.

    - #### sortedNumericToValues

          @Deprecated
          public static Iterable<Number> sortedNumericToValues(DocValuesProducer valuesProducer,
                                                                           FieldInfo fieldInfo)

      Deprecated. Consume `SortedDocValues` instead.
      Converts all concatenated values (in docID order) from `SortedNumericDocValues` into `Iterable&lt;Number&gt;`.

    - #### normsIterable

          @Deprecated
          public static Iterable<Number> normsIterable(FieldInfo field,
                                                                   NormsProducer normsProducer,
                                                                   int maxDoc)

      Deprecated. Consume `NumericDocValues` instead.
      Converts norms into `Iterable&lt;Number&gt;`.

    - #### binaryIterable

          @Deprecated
          public static Iterable<BytesRef> binaryIterable(FieldInfo field,
                                                                      DocValuesProducer valuesProducer,
                                                                      int maxDoc)

      Deprecated. Consume `BinaryDocValues` instead.
      Converts values from `BinaryDocValues` into `Iterable&lt;BytesRef&gt;`.

    - #### numericIterable

          @Deprecated
          public static Iterable<Number> numericIterable(FieldInfo field,
                                                                     DocValuesProducer valuesProducer,
                                                                     int maxDoc)

      Deprecated. Consume `NumericDocValues` instead.
      Converts values from `NumericDocValues` into `Iterable&lt;Number&gt;`.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.